---
- description: T-Shirt Size
  buttons: submit,cancel
  label: TShirtSize
  dialog_tabs:
  - description: 
    display: 
    label: General
    display_method: 
    display_method_options: 
    position: 0
    dialog_groups:
    - description: 
      display: 
      label: General
      display_method: 
      display_method_options: 
      position: 0
      dialog_fields:
      - name: vmname
        description: Choose a VM name
        data_type: 
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values: 
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: Name of the VM
        position: 0
        validator_type: 
        validator_rule: 
        reconfigurable: false
        dynamic: false
        show_refresh_button: false
        load_values_on_init: false
        read_only: false
        auto_refresh: false
        trigger_auto_refresh: false
        visible: true
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
        dialog_field_responders: []
      - name: fqdn
        description: Specify a proper FQDN
        data_type: 
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values: 
        values_method: 
        values_method_options: {}
        options:
          :protected: false
        label: VM fully qualified hostname
        position: 1
        validator_type: 
        validator_rule: 
        reconfigurable: false
        dynamic: false
        show_refresh_button: false
        load_values_on_init: false
        read_only: false
        auto_refresh: false
        trigger_auto_refresh: false
        visible: true
        type: DialogFieldTextBox
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
        dialog_field_responders: []
      - name: tshirtsize
        description: ''
        data_type: string
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: M
        values:
        - - 
          - "<None>"
        - - XL
          - Extra Large
        - - L
          - Large
        - - M
          - Medium
        values_method: 
        values_method_options: {}
        options:
          :sort_by: description
          :sort_order: ascending
          :force_multi_value: false
        label: T-Shirt Size
        position: 2
        validator_type: 
        validator_rule: 
        reconfigurable: false
        dynamic: false
        show_refresh_button: false
        load_values_on_init: false
        read_only: false
        auto_refresh: false
        trigger_auto_refresh: false
        visible: true
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
        dialog_field_responders: []
  - description: New tab 1
    display: edit
    label: Advanced
    display_method: 
    display_method_options: 
    position: 1
    dialog_groups:
    - description: Description
      display: edit
      label: Advanced Settings
      display_method: 
      display_method_options: 
      position: 0
      dialog_fields:
      - name: cores
        description: Override number of CPU Cores
        data_type: integer
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values:
        - - 
          - "<None>"
        - - '0'
          - No override
        - - '1'
          - '1'
        - - '2'
          - '2'
        - - '4'
          - '4'
        - - '8'
          - '8'
        values_method: 
        values_method_options: {}
        options:
          :sort_by: value
          :sort_order: ascending
          :force_multi_value: false
        label: CPU cores
        position: 0
        validator_type: 
        validator_rule: 
        reconfigurable: false
        dynamic: false
        show_refresh_button: false
        load_values_on_init: false
        read_only: false
        auto_refresh: false
        trigger_auto_refresh: false
        visible: true
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
        dialog_field_responders: []
      - name: memory
        description: Override memory size
        data_type: integer
        notes: 
        notes_display: 
        display: edit
        display_method: 
        display_method_options: {}
        required: false
        required_method: 
        required_method_options: {}
        default_value: ''
        values:
        - - 
          - "<None>"
        - - '0'
          - No override
        - - '1'
          - 1 GB
        - - '2'
          - 2 GB
        - - '4'
          - 4 GB
        - - '8'
          - 8 GB
        - - '16'
          - 16 GB
        values_method: 
        values_method_options: {}
        options:
          :sort_by: value
          :sort_order: ascending
          :force_multi_value: false
        label: Memory Size
        position: 1
        validator_type: 
        validator_rule: 
        reconfigurable: false
        dynamic: false
        show_refresh_button: false
        load_values_on_init: false
        read_only: false
        auto_refresh: false
        trigger_auto_refresh: false
        visible: true
        type: DialogFieldDropDownList
        resource_action:
          action: 
          resource_type: DialogField
          ae_namespace: 
          ae_class: 
          ae_instance: 
          ae_message: 
          ae_attributes: {}
        dialog_field_responders: []
